#include <iostream>
using namespace std;
int maks(long long int a,long long int b,long long int c)
{
	if(a>=b && a>=c)
	{
		return a;
	}
	else
	{
		if(b>=a && b>=c)
		{
			return b;
		}
		else
		{
			return c;
		}
	}
}
int main()
{
	int br1=0,br2=0,br3=0;
	long long int a,b,c,a1,b1,c1;
	cin>>a>>b>>c;
	a1=a;
	while(a1>0)
	{
		br1++;
		a1=a1/10;
	}
	a1=a;
	b1=b;
	br2=0;
	while(b1>0)
	{
		br2++;
		b1=b1/10;
	}
	b1=b;
	c1=c;
	br3=0;
	while(c1>0)
	{
		br3++;
		c1=c1/10;
	}
	c1=c;
	int br=maks(br1,br2,br3);
	for(int i=0;i<(br-br1);i++)
	{
		a1=a1*10;
	}
	for(int i=0;i<(br-br2);i++)
	{
		b1=b1*10;
	}	
	for(int i=0;i<(br-br3);i++)
	{
		c1=c1*10;
	}
	
	if(a1>=b1 && b1>=c1)
	{
		cout<<a<<b<<c;
	}
	else
	{
		if(a1>=c1 && c1>=b1)
		{
			cout<<a<<c<<b;
		}
		else
		{
			if(b1>=a1 && a1>=c1)
			{
				cout<<b<<a<<c;
			}
			else
			{
				if(b1>=c1 && c1>=a1)
				{
					cout<<b<<c<<a;
				}
				else
				{
					if(c1>=a1 && a1>=b1)
					{
						cout<<c<<a<<b;
					}
					else
					{
						cout<<c<<b<<a;
					}
				}
			}
		}
	}
	
	
	
	
	
	
	
	
}